Commit 0b9eb846 authored by abveritas's avatar abveritas

linux deps rebuild for 3.6.6

parent 42646f22
......@@ -3,16 +3,16 @@
#
# maintainer abveritas@chakra-project.org
_kver="3.5.6-1-CHAKRA"
_kver="3.6.6-1-CHAKRA"
pkgname=acpi_call
pkgver=20120613
pkgrel=5
pkgrel=6
pkgdesc="A kernel module that enables you to call parameterless ACPI methods by writing the method name to /proc/acpi/call, e.g. to turn off discrete graphics card in a dual graphics environment (like NVIDIA Optimus)."
arch=('i686' 'x86_64')
arch=('x86_64')
url=("http://github.com/mkottman/acpi_call")
license=('GPL')
depends=('linux>=3.5' 'linux<3.6' 'linux-headers')
depends=('linux>=3.6' 'linux<3.7' 'linux-headers')
makedepends=('git')
install=acpi_call.install
source=("http://chakra-linux.org/sources/${pkgname}/${pkgname}-${pkgver}.tar.xz")
......
......@@ -4,17 +4,17 @@
# maintainer abveritas@chakra-project.org
# Find the kernel name inside the chroot
_extramodules=extramodules-3.5-CHAKRA
_extramodules=extramodules-3.6-CHAKRA
_kver="$(cat /lib/modules/${_extramodules}/version)"
pkgname=broadcom-wl
pkgver=5.100.82.112
pkgrel=11
pkgrel=12
pkgdesc='Broadcom 802.11abgn hybrid Linux networking device driver'
arch=('i686' 'x86_64')
arch=('x86_64')
url='http://www.broadcom.com/support/802.11/linux_sta.php'
license=('custom')
depends=('linux>=3.5' 'linux<3.6')
depends=('linux>=3.6' 'linux<3.7')
makedepends=('linux-headers')
[[ $CARCH = x86_64 ]] && ARCH=x86_64 || ARCH=x86_32
......
......@@ -182,10 +182,10 @@ package_linux-headers() {
conflicts=('kernel26-headers')
replaces=('kernel26-headers')
install -dm755 "${pkgdir}/usr/lib/modules/${_kernver}"
install -dm755 "${pkgdir}/lib/modules/${_kernver}"
cd "${pkgdir}/usr/lib/modules/${_kernver}"
ln -sf ../../../src/linux-${_kernver} build
cd "${pkgdir}/lib/modules/${_kernver}"
ln -sf ../../../usr/src/linux-${_kernver} build
cd "${srcdir}/linux-${_basekernel}"
install -D -m644 Makefile \
......
......@@ -3,18 +3,18 @@
#
# maintainer abveritas@chakra-project.org
_extramodules=extramodules-3.5-CHAKRA
_extramodules=extramodules-3.6-CHAKRA
_kver="$(cat /lib/modules/${_extramodules}/version)"
pkgname=ndiswrapper
pkgver=1.57
pkgrel=9
pkgrel=10
pkgdesc="Module for NDIS (Windows Network Drivers) drivers supplied by vendors. For linux-testing."
license=('GPL')
arch=('i686' 'x86_64')
arch=('x86_64')
url="http://ndiswrapper.sourceforge.net"
install="ndiswrapper.install"
depends=('linux>=3.5' 'linux<3.6')
depends=('linux>=3.6' 'linux<3.7')
provides=("ndiswrapper-utils=$pkgver")
replaces=('ndiswrapper-utils')
conflicts=('ndiswrapper-utils')
......
......@@ -5,7 +5,7 @@ post_install()
post_upgrade()
{
EXTRAMODULES='extramodules-3.5-CHAKRA'
EXTRAMODULES='extramodules-3.6-CHAKRA'
depmod $(cat /lib/modules/$EXTRAMODULES/version)
}
......
......@@ -3,17 +3,17 @@
#
# maintainer abveritas@chakra-project.org
_extramodules=extramodules-3.5-CHAKRA
_extramodules=extramodules-3.6-CHAKRA
_kver="$(cat /lib/modules/${_extramodules}/version)"
pkgname=tiacx
pkgver=20080210
pkgrel=39
pkgrel=40
pkgdesc="OpenSource module for Texas Instruments ACX100/ACX111 wireless chips. For stock chakra kernel"
arch=(i686 x86_64)
arch=('x86_64')
url="http://acx100.sourceforge.net/"
license=('MPL')
depends=('wireless_tools' 'linux>=3.5' 'linux<3.6' 'tiacx-firmware')
depends=('wireless_tools' 'linux>=3.6' 'linux<3.7' 'tiacx-firmware')
makedepends=('linux-headers')
install=acx.install
source=(http://downloads.sourceforge.net/sourceforge/acx100/acx-$pkgver.tar.bz2
......
......@@ -5,7 +5,7 @@ post_install()
post_upgrade()
{
EXTRAMODULES='extramodules-3.5-CHAKRA'
EXTRAMODULES='extramodules-3.6-CHAKRA'
depmod $(cat /lib/modules/$EXTRAMODULES/version)
}
......
......@@ -3,17 +3,17 @@
#
# maintainer abveritas@chakra-project.org
_extramodules=extramodules-3.5-CHAKRA
_extramodules=extramodules-3.6-CHAKRA
_kver="$(cat /lib/modules/${_extramodules}/version)"
pkgname=vhba-module
pkgver=20120422
pkgrel=5
pkgrel=6
pkgdesc="Kernel module that emulates SCSI devices"
arch=('i686' 'x86_64')
arch=('x86_64')
url="http://cdemu.sourceforge.net/"
license=('GPL2')
depends=('linux>=3.5' 'linux<3.6')
depends=('linux>=3.6' 'linux<3.7')
makedepends=('linux-headers')
install=vhba-module.install
source=("http://sourceforge.net/projects/cdemu/files/vhba-module/vhba-module-$pkgver.tar.bz2"
......
post_install() {
EXTRAMODULES='extramodules-3.5-CHAKRA'
EXTRAMODULES='extramodules-3.6-CHAKRA'
depmod $(cat /lib/modules/$EXTRAMODULES/version)
}
......@@ -8,7 +8,7 @@ post_upgrade() {
}
post_remove() {
EXTRAMODULES='extramodules-3.5-CHAKRA'
EXTRAMODULES='extramodules-3.6-CHAKRA'
depmod $(cat /lib/modules/$EXTRAMODULES/version)
}
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment